# The MongoInt32 class

(PECL mongo >=1.0.9)

Warning

This extension that defines this class is deprecated. Instead, the MongoDB extension should be used. There is no equivalent for this class in the new extension.

Instead, the new extension chooses the appropriate database type depending on the integer's value.

## Introduction

The class can be used to save 32-bit integers to the database on a 64-bit system.

## Class synopsis

MongoInt32 {
/* Fields */
public string $value ;
/* Methods */
public __construct ( string `$value` )
public __toString ( void ) : string
}

## Fields

value
  This is the string value of the 32-bit number. For instance, 123's value would be "123".

## Table of Contents

- MongoInt32::__construct — Creates a new 32-bit integer
- MongoInt32::__toString — Returns the string representation of this 32-bit integer